//*********************************************************
// Demonstrates event handling using EventHadler interface
//*********************************************************
import javafx.application.Application;
import javafx.scene.Group;
import javafx.scene.Scene;
import javafx.scene.paint.Color;
import javafx.scene.text.Text;
import javafx.scene.control.Button;
import javafx.event.ActionEvent;
import javafx.event.EventHandler;
import javafx.stage.Stage;
public class PushCounter1 extends Application
{
    int count;
    Text counter = new Text(50, 110,"");
    public void start(Stage primary)
    {
        counter.setText("Pushes "+count);
        Button push = new Button("Push");
        push.setTranslateX(50);
        push.setTranslateY(50);
        push.setOnAction(new ButtonHandler());
        Group root = new Group(push, counter);
        Scene scene = new Scene(root, 150, 150, Color.LIGHTGREEN);
        primary.setTitle("Push Button");
        primary.setScene(scene);
        primary.show();
    }

    private class ButtonHandler implements EventHandler <ActionEvent>
    {
        public void handle(ActionEvent event)
        {
            count++;
            counter.setText("Pushes: " + count);
        }
    }
}
